Name:           polkit-qt5
Version:        0.113.0
Release:        %mkrel 5
Summary:        Qt 5 bindings for PolicyKit
Group:          System/Libraries
License:        LGPLv2+
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/polkit-qt-1/polkit-qt-1-%{version}.tar.xz
Source1:        Doxyfile

BuildRequires:  doxygen
BuildRequires:  pkgconfig(polkit-agent-1)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  kf5-macros

%description
Polkit-qt5 is a library that lets developers use the PolicyKit API
through a nice Qt-styled API.

#--------------------------------------------------------------------

%define polkit_qt5_agent_major 1
%define libpolkit_qt5_agent %mklibname polkit-qt5-agent-1_ %{polkit_qt5_agent_major}

%package -n %libpolkit_qt5_agent
Summary:        Qt 5 bindings for PolicyKit
Group:          System/Libraries

Obsoletes:      %{_lib}polkit-qt5-agent1 < 0.112.0-8

%description -n %libpolkit_qt5_agent
Qt 5 bindings for PolicyKit.

%files -n %libpolkit_qt5_agent
%_kf5_libdir/libpolkit-qt5-agent-1.so.%{polkit_qt5_agent_major}{,.*}

#--------------------------------------------------------------------

%define polkit_qt5_core_major 1
%define libpolkit_qt5_core %mklibname polkit-qt5-core-1_ %{polkit_qt5_core_major}

%package -n %libpolkit_qt5_core
Summary:        Qt 5 bindings for PolicyKit
Group:          System/Libraries

Obsoletes:      %{_lib}polkit-qt5-core1 < 0.112.0-8

%description -n %libpolkit_qt5_core
Qt 5 bindings for PolicyKit.

%files -n %libpolkit_qt5_core
%_kf5_libdir/libpolkit-qt5-core-1.so.%{polkit_qt5_core_major}{,.*}

#--------------------------------------------------------------------

%define polkit_qt5_gui_major 1
%define libpolkit_qt5_gui %mklibname polkit-qt5-gui-1_ %{polkit_qt5_gui_major}

%package -n %libpolkit_qt5_gui
Summary:        Qt 5 bindings for PolicyKit
Group:          System/Libraries

Obsoletes:      %{_lib}polkit-qt5-gui1 < 0.112.0-8

%description -n %libpolkit_qt5_gui
Qt 5 bindings for PolicyKit.

%files -n %libpolkit_qt5_gui
%_kf5_libdir/libpolkit-qt5-gui-1.so.%{polkit_qt5_gui_major}{,.*}

#--------------------------------------------------------------------

%define polkitqt5_devel %mklibname polkit-qt5-1 -d

%package -n %polkitqt5_devel
Summary:        Development files for PolicyKit Qt 5 bindings
Group:          Development/KDE and Qt
Requires:       %libpolkit_qt5_agent = %{version}-%{release}
Requires:       %libpolkit_qt5_core = %{version}-%{release}
Requires:       %libpolkit_qt5_gui = %{version}-%{release}
Provides:       polkitqt5-devel  = %{version}-%{release}
Provides:       polkit-qt5-1-devel  = %{version}-%{release}

Obsoletes:      %{_lib}polkitqt5-qt5-devel < 0.112.0-8

%description -n %polkitqt5_devel
Development files for PolicyKit Qt 5 bindings.

%files -n %polkitqt5_devel
%doc AUTHORS README
%license COPYING
%{_includedir}/polkit-qt5-1/
%{_kf5_libdir}/libpolkit-qt5-core-1.so
%{_kf5_libdir}/libpolkit-qt5-gui-1.so
%{_kf5_libdir}/libpolkit-qt5-agent-1.so
%{_kf5_libdir}/pkgconfig/polkit-qt5-1.pc
%{_kf5_libdir}/pkgconfig/polkit-qt5-core-1.pc
%{_kf5_libdir}/pkgconfig/polkit-qt5-gui-1.pc
%{_kf5_libdir}/pkgconfig/polkit-qt5-agent-1.pc
%{_kf5_libdir}/cmake/PolkitQt5-1/

#--------------------------------------------------------------------

%prep
%setup -q -n polkit-qt-1-%{version}

%build
%cmake_kf5 \
  -DBUILD_EXAMPLES:BOOL=OFF

%cmake_build

doxygen %{SOURCE1}

# Remove installdox file - it is not necessary here
rm -fv html/installdox


%install
%cmake_install



%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.113.0-5.mga8
+ Revision: 1659426
- Rebuild for new Qt5

* Wed Feb 26 2020 daviddavid <daviddavid> 0.113.0-4.mga8
+ Revision: 1550737
- fix obsoletes

* Sun Feb 16 2020 daviddavid <daviddavid> 0.113.0-3.mga8
+ Revision: 1530562
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Aug 31 2019 daviddavid <daviddavid> 0.113.0-2.mga8
+ Revision: 1435880
- do not pull for old Qt4 devel pkg
- new version: 0.113.0
- fix libraries and devel pkgname
- update URL and Source URL

* Mon Apr 01 2019 umeabot <umeabot> 0.112.0-7.mga7
+ Revision: 1384054
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.112.0-6.mga7
+ Revision: 1300339
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.112.0-5.mga6
+ Revision: 935947
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.112.0-4.mga5
+ Revision: 740002
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.112.0-3.mga5
+ Revision: 687715
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 0.112.0-2.mga5
+ Revision: 660923
- Fix provides

* Mon Jul 28 2014 neoclust <neoclust> 0.112.0-1.mga5
+ Revision: 657696
- New version 0.112.0

* Tue Feb 18 2014 neoclust <neoclust> 0.103.0-0.1.20140212git.1.mga5
+ Revision: 594214
- imported package polkit-qt5


* Wed Feb 05 2014 Daniel Vrátil <dvratil@redhat.com> 0.103.0-0.1.20140205git
- Update to latest git snapshot

* Wed Jan 15 2014 Daniel Vrátil <dvratil@redhat.com> 0.103.0-0.1.20140115git
- fork from polkit-qt SPEC
